%define subrel 1

Name:		lxappearance
Version:	0.5.2
Release:	%mkrel 3
Summary:	A new feature-rich GTK+ theme switcher
License:	GPLv2+
Group:		Graphical desktop/Other

Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
URL:		http://www.lxde.org

BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	xsltproc

Suggests:	%{name}-obconf

%description
LXAppearance is a new GTK+ theme switcher developed for project LXDE.

%package devel
Group:		Graphical desktop/Other
Summary:	%{name} development files
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q

%build
%configure2_5x --enable-dbus
%make

%install
%makeinstall_std

%{find_lang} %{name}

desktop-file-install --vendor="" \
	--remove-key="NotShowIn" \
	--add-only-show-in="LXDE" \
	--dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc




%changelog
* Fri Feb 06 2015 ns80 <ns80> 0.5.2-3.1.mga4
+ Revision: 813658
- Build with DBUS support to correct bug mga#12611

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-3.mga4
+ Revision: 507631
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 359149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.5.2-1.mga3
+ Revision: 248304
- new version 0.5.2

* Thu Aug 04 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 131682
- update file list
- new version 0.5.1

* Sun May 01 2011 pterjan <pterjan> 0.5.0-6.mga1
+ Revision: 94033
- Bump release higher than Mandriva

* Fri Feb 04 2011 ahmad <ahmad> 0.5.0-2.mga1
+ Revision: 46892
- imported package lxappearance

